# $Revision: 1.13 $, $Date: 2012/06/18 12:10:43 $
#
# Conditional build:
%bcond_with	sc	# softCAM support
%bcond_with	xine	# xine support, requires patched xine-lib-devel
#
%define		_sc_ver		0.9.3
%define		_xine_ver	0.9.4
Summary:	Video Disk Recorder
Summary(pl.UTF-8):	Video Disk Recorder - narzędzie do nagrywania filmów
Name:		vdr
Version:	1.7.23
Release:	3
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	ftp://ftp.tvdr.de/vdr/Developer/%{name}-%{version}.tar.bz2
# Source0-md5:	de136f7be28c4b6f1fa0e2218b4acc11
Source1:	http://207.44.152.197/%{name}-sc-%{_sc_ver}.tar.gz
# Source1-md5:	d02d88213fcfb9b6c3f8c819eab4be68
Source2:	http://home.vrweb.de/~rnissl/%{name}-xine-%{_xine_ver}.tgz
# Source2-md5:	0374123d6991f55d91122b020361d8f6
URL:		http://www.tvdr.de/
BuildRequires:	fontconfig-devel
BuildRequires:	fribidi-devel
BuildRequires:	libjpeg-devel
%{?with_xine:BuildRequires:	xine-lib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# plugins use symbols provided by the binary
%define		skip_post_check_so	.*%{_libdir}/vdr/libvdr-.*\.so\..*

%description
Video Disk Recorder.

%description -l pl.UTF-8
Video Disk Recorder - narzędzie do nagrywania filmów.

%package devel
Summary:	Header files for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name}.

%description devel -l pl.UTF-8
Pliki nagłówkowe %{name}.

%package sc
Summary:	SoftCAM plugin for VDR
Summary(pl.UTF-8):	Wtyczka SoftCAM dla VDR
Group:		Applications

%description sc
It's not legal to use this software in most countries of the world. SC
means softcam, which means a software CAM emulation.

%description sc -l pl.UTF-8
Używanie tego oprogramowania jest nielegalne w większości krajów
świata. SC znaczy softcam, co oznacza programową emulację CAM.

%package xine
Summary:	xine plugin for VDR
Summary(pl.UTF-8):	Wtyczka xine dla VDR
Group:		Libraries

%description xine
xine plugin for VDR.

%description xine -l pl.UTF-8
Wtyczka xine dla VDR.

%prep
%setup -q

cd PLUGINS/src
for plugin in *; do
	%{__mv} $plugin/HISTORY ../../HISTORY-$plugin
	%{__mv} $plugin/README ../../README-$plugin
done
cd ../..

%if %{with sc}
cd PLUGINS/src
gzip -dc %{SOURCE1} | tar -xf -
mv sc-%{_sc_ver} sc
cd ../..
%{__patch} -p1 < PLUGINS/src/sc/patches/vdr-1.4.x-sc7.diff
%endif

%if %{with xine}
cd PLUGINS/src
gzip -dc %{SOURCE2} | tar -xf -
mv xine-%{_xine_ver} xine
cd ../..
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags}" \
	PREFIX="%{_prefix}" \
	LOCDIR="%{_localedir}" \
	CONFDIR="%{_sysconfdir}/%{name}" \
	VIDEODIR=/var/lib/vdr \
	PLUGINLIBDIR="%{_libdir}/%{name}" \
	BIDI=1 \
	REMOTE=LIRC

%{__make} plugins \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} -fPIC" \
	INCLUDES="-I../../../include -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/{plugins,themes}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX="%{_prefix}" \
	LOCDIR="%{_localedir}" \
	VIDEODIR=/var/lib/vdr \
	PLUGINLIBDIR="%{_libdir}/%{name}"

cp -p *.conf{,.*} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

# hack
for langdir in $RPM_BUILD_ROOT%{_datadir}/locale/*_*; do
	lang=$(basename $langdir)
	[ $lang = "zh_CN" ] && continue
	newlang=$(echo "$lang" | sed -e 's#_.*##g')
	mv $RPM_BUILD_ROOT%{_datadir}/locale/{$lang,$newlang}
done

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CONTRIBUTORS HISTORY* INSTALL MANUAL PLUGINS.html README README-* UPDATE-* epg2html summary2info
%attr(2775,root,video) %dir %{_sysconfdir}/%{name}
%attr(2775,root,video) %dir %{_sysconfdir}/%{name}/plugins
%attr(2775,root,video) %dir %{_sysconfdir}/%{name}/themes
%attr(664,root,video) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.conf*
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/svdrpsend
%dir %{_libdir}/vdr
%attr(755,root,root) %{_libdir}/vdr/libvdr-dvbhddevice.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-dvbsddevice.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-hello.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-osddemo.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-pictures.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-skincurses.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-status.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-svccli.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-svcsvr.so.*
%attr(755,root,root) %{_libdir}/vdr/libvdr-svdrpdemo.so.*
%attr(2775,root,video) /var/lib/%{name}
%{_mandir}/man*/%{name}.*

%files devel
%defattr(644,root,root,755)
%doc README.i18n
%{_includedir}/libsi
%{_includedir}/%{name}
%{_pkgconfigdir}/%{name}.pc

%if %{with sc}
%files sc
%defattr(644,root,root,755)
%doc PLUGINS/src/sc/{HISTORY,README}
%attr(755,root,root) %{_libdir}/libsc*
%attr(755,root,root) %{_libdir}/vdr/libvdr-sc.so.*
%endif

%if %{with xine}
%files xine
%defattr(644,root,root,755)
%doc PLUGINS/src/xine/{HISTORY,MANUAL,INSTALL,README}
%attr(755,root,root) %{_libdir}/vdr/libvdr-xine.so.*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vdr.spec,v $
Revision 1.13  2012/06/18 12:10:43  baggins
- release 3

Revision 1.12  2012/06/16 12:41:26  pluto
- don't break zh_CN locale dir, release 2.

Revision 1.11  2012/02/15 10:14:35  gotar
- file renamed already

Revision 1.10  2012/02/15 10:11:36  gotar
- upgraded to 1.7.23
- packaged /etc/vdr/plugins, chgrp video and chmod g+ws /etc/vdr*,
- chmod g+s,o+rx /var/lib/vdr; no secrets inside, vdr doesn't use $HOME...:/

Revision 1.9  2012/01/28 16:42:44  arekm
- rel 3; fix locale dirs blindly

Revision 1.8  2011/12/27 10:19:32  glen
- don't use {} block

Revision 1.7  2011/12/26 13:40:04  gotar
- packaged devel files (required for plugins)

Revision 1.6  2011/12/26 13:00:09  gotar
- compile plugins with -fPIC

Revision 1.5  2011/12/26 12:31:21  gotar
- upgraded to Developer-1.7.22 (softCAM 0.9.3, xine output plugin 0.9.4);
- moved plugins to private libdir, don't check them for symbols,
- enabled fribidi, set FHS-compliant paths (use etc), passed CXXFLAGS,
- packaged locales and more docs, cosmetics,
- added missing BRs, updated URL, fixed License, Group, added Source2-md5

Revision 1.4  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/09/11 17:29:00  qboosh
- pl fixes, some cleanups

Revision 1.1  2006/08/26 10:10:07  luzik
- VDR initial release
